Name:           perl-Shipwright
Version:        2.4.24
Release:        1%{?dist}
Summary:        Build and Manage Self-contained Software Bundle
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Shipwright/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SU/SUNNAVY/Shipwright-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 1:5.8.8
BuildRequires:  perl(Algorithm::Dependency::Ordered)
BuildRequires:  perl(Algorithm::Dependency::Source::HoA)
BuildRequires:  perl(App::CLI)
BuildRequires:  perl(Archive::Extract)
BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(CPAN)
BuildRequires:  perl(CPAN::DistnameInfo)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(IO::Uncompress::Bunzip2)
BuildRequires:  perl(IO::Uncompress::RawInflate) >= 2.012
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(IPC::Run3)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Log::Log4perl)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::CoreList)
BuildRequires:  perl(Module::Info)
BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(version)
BuildRequires:  perl(YAML::Tiny)
Requires:       perl(Algorithm::Dependency::Ordered)
Requires:       perl(Algorithm::Dependency::Source::HoA)
Requires:       perl(Archive::Tar)
Requires:       perl(IO::Uncompress::Bunzip2)
Requires:       perl(IO::Uncompress::RawInflate) >= 2.012
Requires:       perl(LWP::UserAgent)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# a wrong Requires
%filter_from_requires /perl(that)/d
%{?perl_default_filter}

%description
Shipwright is a tool to help you bundle your software with all its dependencies,
regardless of whether they are CPAN modules or non-Perl modules from elsewhere.
Shipwright makes the bundle work easy.

%prep
%setup -q -n Shipwright-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test %{?_smp_mflags}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changes README TODO
%{_bindir}/shipwright*
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Apr  6 2011 Robin Lee <cheeselee@fedoraproject.org> - 2.4.24-1
- Update to 2.4.24
- Initial import (#690359)

* Thu Mar 24 2011 Robin Lee <cheeselee@fedoraproject.org> - 2.4.23-1
- Initial packaging with help of cpanspec 1.78
